Subject: Re: [RFC] origin link for cherry-pick and revert

From: Paolo Bonzini <[email-masked]>
Date: Wed, 10 Sep 2008 10:10:07 +0200

> By the way, beside graphical history viewers it would also help rebase
> (and git-cherry) notice when patch was already applied better.

I think that rebase had better not trust the origin links in deciding
whether a patch was already applied; it already does it well enough.

git-cherry is another story, as that tool is not faking "changeset mode"
so well (because it cannot attempt merges, and these are what allows
git-rebase to fake changesets much better).

Paolo